Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete

From: Stefan Kangas <[email-masked]>
Date: Fri, 24 Apr 2020 12:02:46 +0200

tags 40703 - patch
retitle 40703 Unable to turn off autoarg-kp-mode
thanks

Eli Zaretskii <[email-masked]> writes:

>> FWIW, I think the mode is potentially useful.  It would be more useful
>> if there would be a local version, and if enabling autoarg-mode would
>> still allow me to enter digits with the keypad (i.e. the other way than
>> autoarg-kp-mode, because e.g. ...what? mhmm, I wanted to write an
>> example including integers but I can't enter them anymore, I can't turn
>> off autoarg mode.  It's just broken.  Will restart Emacs.
>
> Maybe we should just fix it so the mode could be turned off, then.

OK, I'm updating the bug to reflect that.

FWIW, I still think this mode is more of a historical musing than it
is useful.  But I accept that I'm in a minority here.

Best regards,
Stefan Kangas